Page MenuHomePhabricator

Implement 'Tagged edits' filters and filter menu in the new UI
Closed, ResolvedPublic

Description

The "Tagged edits" (formerly "Tags") menu works the same as the main filter panel does--the same rollover, selection, close-menu, etc. behavior. Here are the Tagged edits-specific specs:

Tagged edits filter & filter menu functions

  • When the Tagged edits menu is open, a # is displayed in the Search box.
  • The menu displays all the active Tags from a given wiki's Special:Tags page, in alphabetical order by label name.
  • Inactive tags are not displayed on the menu.
  • Each tag is displayed with a label/name and an accompanying description.
  • In terms of filtering logic, the entire Tagged edits menu is one filter "group." This means that as users select more tags, they broaden the search, since all Tag filters relate via an OR.
  • Users can search for Tagged edits by prepending their search with a #, like so #Visual Edit
  • In the Active Filter Display Area, Tagged edit names are prepended by a # in their respective Tag bubbles. E.g., #Visual editor.
  • No Exclude functionality is provided (because Roan is will be a problem technically).
  • A "?" icon (help link) leads users to an as yet unwritten Help page on using Tagged edit filters.

Related Objects

Event Timeline

@Pginer-WMF, a question and a request:

  • Request: please look this over and add an updated screenshot or two. Then please move to RFP.
  • Question: are we sure we want to list these in order of popularity? It makes sense in one way—especially to very experienced users. But it also gives the appearance of being a random list, and the order does not facilitate finding any particular item. (If you think we should change, just go ahead and update the Description, then move this on.)

@Pginer-WMF, also, I made a spec for adding a "What are these?" link. I don't know if that's how you want to do this. So please have a look and feel free to offer an alternative if you like (especially since we are considering changing the "What's This" links themselves).

jmatazzoni updated the task description. (Show Details)
jmatazzoni renamed this task from Implement 'Tagged edits' filter in the new UI to Implement 'Tagged edits' filters and filter menu in the new UI.Jun 7 2017, 12:05 AM
Pginer-WMF updated the task description. (Show Details)Jun 8 2017, 7:05 AM
Pginer-WMF updated the task description. (Show Details)Jun 8 2017, 7:12 AM

@Pginer-WMF, a question and a request:

  • Request: please look this over and add an updated screenshot or two. Then please move to RFP.

Done

  • Question: are we sure we want to list these in order of popularity? It makes sense in one way—especially to very experienced users. But it also gives the appearance of being a random list, and the order does not facilitate finding any particular item. (If you think we should change, just go ahead and update the Description, then move this on.)

I think so. Tags are a big bag of very different properties. Ideally we would have them better organised in meaningful groups but that is not the case. The purpose of the list of tags is more about discovering useful tags than selecting tags you already know (for which search will be more convenient since the list is quite long). Based on that, I think that surfacing the most popular tags on top helps users to find the ones that are more likely to be useful (or at least hides obscure tags very rarely used).

Pginer-WMF removed Pginer-WMF as the assignee of this task.Jun 8 2017, 7:14 AM
Pginer-WMF updated the task description. (Show Details)Jun 8 2017, 7:24 AM

Didn't implement the (?) button yet because I don't have a link to go to -- we can add that later.
Other than that, all functionality should be there.

@Mooeypoo Selecting a tag filter in betalabs RC page with enabled filters - e.g. #Visual edit will not filter out other edits. Previous 'Tag filter' does not display entries that are not tagged with visualeditor

The screenshot shows the Tag filter behavior when RC filters are not enabled - with visualeditor Tag filter shows only edits made in VE.

The prototype displays the same behavior as the old Tag filter above

Checked in betalabs.

The summary of what's not done yet
(1)

The menu displays all the active Tags from a given wiki's Special:Tags page, in order of popularity.

It looks that it's a reverse order of popularity. mobile edit and visualeditor tags are placed at the end of Tags list. The tag at the top list Test tag 2 does not return results.

(2)

A "?" icon (help link) leads users to an as yet unwritten Help page on using Tagged edit filters.

There is no "?" help link. And, also, RC page used to have a link <a href="/wiki/Special:Tags" title="Special:Tags">Tag</a> for Tag filter - any plans to add such link to the new design?

(3) The same issue as for Namespace filters - T168220: Namespace drop-down filter menu does not scrolls automatically when selected Namespace (Tag) filter capsule is clicked

A "?" icon (help link) leads users to an as yet unwritten Help page on using Tagged edit filters.

There is no "?" help link. And, also, RC page used to have a link <a href="/wiki/Special:Tags" title="Special:Tags">Tag</a> for Tag filter - any plans to add such link to the new design?

Based on previous comment, it seems that the "?" help link is postponed for later:

Didn't implement the (?) button yet because I don't have a link to go to -- we can add that later.
Other than that, all functionality should be there.

It may be good to spilt that part into a separate ticket (not sure if one for the "tagged edits" or a common one for adding "?"s to the different panels, depending on what better works for @Mooeypoo).

Re my comments

Selecting a tag filter in betalabs RC page with enabled filters - e.g. #Visual edit will not filter out other edits.

It's been fixed.

Wargo added a subscriber: Wargo.Jun 23 2017, 12:01 PM

Change 363037 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Reverse the sorting on tags

https://gerrit.wikimedia.org/r/363037

Change 363037 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Reverse the sorting on tags

https://gerrit.wikimedia.org/r/363037

Etonkovidova updated the task description. (Show Details)Jul 3 2017, 8:30 PM
Etonkovidova updated the task description. (Show Details)

The sorting order for Tags has been fixed.

The menu displays all the active Tags from a given wiki's Special:Tags page, in order of popularity.

I deleted the requirement in the Description to add the ? icon link to a help doc, and added this requirement to T167740

QA Recommendation: Resolve

@Etonkovidova, because there's a problem with counting the popularity of tags (see T169997), we will list tags in alphabetical order, by tag label, instead of popularity. I've updated the Description, above, with this change.

jmatazzoni closed this task as Resolved.Jul 17 2017, 9:26 PM
jmatazzoni updated the task description. (Show Details)
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 19 2018, 8:58 AM